# 生产环境配置
server:
  port: 8081

# Spring配置
spring:
  # 数据源配置
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    driverClassName: com.mysql.cj.jdbc.Driver
    druid:
      master:
        url: jdbc:mysql://101.126.150.164:3307/sts?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8
        username: script
        password: changfA123$
      slave:
        enabled: false
      initialSize: 10
      minIdle: 20
      maxActive: 50
      maxWait: 60000
      connectTimeout: 30000
      socketTimeout: 60000
      timeBetweenEvictionRunsMillis: 60000
      minEvictableIdleTimeMillis: 300000
      maxEvictableIdleTimeMillis: 900000
      validationQuery: SELECT 1 FROM DUAL
      testWhileIdle: true
      testOnBorrow: false
      testOnReturn: false
      webStatFilter:
        enabled: false
      statViewServlet:
        enabled: false
      filter:
        stat:
          enabled: true
          log-slow-sql: true
          slow-sql-millis: 1000
          merge-sql: true
        wall:
          config:
            multi-statement-allow: true
  # redis 配置
  redis:
    enabled: false
    host: 101.126.150.164
    port: 6379
    database: 5
    password: script
    timeout: 10s
    lettuce:
      pool:
        min-idle: 5
        max-idle: 20
        max-active: 50
        max-wait: -1ms

# 日志配置
logging:
  level:
    com.ruoyi: warn
    org.springframework: warn

# Swagger配置
swagger:
  enabled: false
  pathMapping: /prod-api

# 防盗链配置
referer:
  enabled: true
  allowed-domains: 101.126.150.164,www.yourdomain.com

# 文件路径
ruoyi:
  profile: F:/project/国际大科学计划网站/international-science-program-website/uploadPath
  addressEnabled: true
